<!--- 1.5 (Build 24) --->
<!--- Last Updated: 2007-04-11 --->
<!--- Created by Steve Bryant 2007-01-01 --->
<cfcomponent displayname="Simulated Mailer" extends="Mailer" hint="I simulate sending of email messages.">

<cffunction name="send" access="public" returntype="boolean" output="no" hint="I send an email message and indicate if the send was successful.">
	<cfargument name="To" type="string" required="yes">
	<cfargument name="Subject" type="string" required="yes">
	<cfargument name="Contents" type="string" required="no">
	<cfargument name="From" type="string" default="#variables.DefaultFrom#">
	<cfargument name="CC" type="string" default="">
	<cfargument name="BCC" type="string" default="">
	<cfargument name="type" type="string" default="text">
	<cfargument name="ReplyTo" type="string" default="">
	<cfargument name="Attachments" type="string" default="">
	<cfargument name="html" type="string" default="">
	<cfargument name="text" type="string" default="">
	<cfargument name="username" type="string" default="#variables.username#">
	<cfargument name="password" type="string" default="#variables.password#">
	<cfargument name="FailTo" type="string" default="">
	<cfargument name="mailerID" type="string" default="ColdFusion MX Application Server">
	<cfargument name="wraptext" type="string" default="800">
	
	<cfset var sent = false>
	<cfset var attachment = "">
	
	<cfif NOT StructKeyExists(arguments,"Contents") AND NOT (Len(arguments.html) OR Len(arguments.text))>
		<cfthrow message="Send method requires Contents argument or html or text arguments.">
	</cfif>
	
	<cfif StructKeyExists(variables,"DataMgr")>
		<cfset startLogging(variables.DataMgr)>
		<cfset logSend(argumentCollection=arguments)>
	</cfif>
	
	<cfreturn sent>
</cffunction>

<cffunction name="getMessages" access="public" returntype="query" output="no">
	<cfreturn variables.DataMgr.getRecords(tablename="mailerLogs",fieldlist="LogID,DateSent,To,Subject,ReplyTo")>
</cffunction>

<cffunction name="getMessage" access="public" returntype="query" output="no">
	<cfargument name="LogID" type="numeric" required="yes">
	
	<cfreturn variables.DataMgr.getRecord("mailerLogs",arguments)>
</cffunction>

</cfcomponent>